MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes
sc::SCMatrixSubblockIter Class Reference

Objects of class SCMatrixSubblockIter are used to iterate through the blocks of a matrix. More...

`#include <block.h>`

Inheritance diagram for sc::SCMatrixSubblockIter:

List of all members.

## Public Types

enum | Access { Read, Write, Accum, None }

## Public Member Functions

| SCMatrixSubblockIter (Access access)
| The access variable should be one of Read, Write, Accum, and None, with the SCMatrixSubblockIter:: scope operator applied.
virtual void | begin ()=0
| Start at the beginning.
virtual int | ready ()=0
| Returns nonzero if there is another block.
virtual void | next ()=0
| Proceed to the next block.
virtual SCMatrixBlock * | block ()=0
| Return the current block.
Access | access () const
| Return the type of Access allowed for these blocks.

## Protected Attributes

Access | access_

## Detailed Description

Objects of class SCMatrixSubblockIter are used to iterate through the blocks of a matrix.

The object must be deleted before using the matrix that owns the blocks that SCMatrixSubblockIter is iterating through.

## Constructor & Destructor Documentation

sc::SCMatrixSubblockIter::SCMatrixSubblockIter | ( | Access | access | ) | `[inline]`

The access variable should be one of Read, Write, Accum, and None, with the SCMatrixSubblockIter:: scope operator applied.

The documentation for this class was generated from the following file:

- block.h